---
title: Get a WAF override
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Firewall](https://developers.cloudflare.com/api/typescript/resources/firewall)

[WAF](https://developers.cloudflare.com/api/typescript/resources/firewall/subresources/waf)

[Overrides](https://developers.cloudflare.com/api/typescript/resources/firewall/subresources/waf/subresources/overrides)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a WAF override

Deprecated

client.firewall.waf.overrides.get(stringoverridesID, OverrideGetParams {zone\_id } params, RequestOptionsoptions?): void

GET/zones/{zone\_id}/firewall/waf/overrides/{overrides\_id}

**This endpoint has been deprecated and returns 410 Gone. Please use the [Rulesets API](https://developers.cloudflare.com/ruleset-engine/) instead.**

Previously fetched the details of a URI-based WAF override.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write``Zone Settings Read`

##### ParametersExpand Collapse

overridesID: string

The unique identifier of the WAF override.

maxLength32

[Link to this property](<#(resource)%20firewall.waf.overrides%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20overrides_id%20%3E%20(schema)>)

<details>

<summary>

params: OverrideGetParams {zone\_id }

</summary>

zone\_id: string

Defines an identifier.

maxLength32

<a href="#(resource)%20firewall.waf.overrides%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20firewall.waf.overrides%20%3E%20(method)%20get%20%3E%20(params)%20default>)

### Get a WAF override

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.firewall.waf.overrides.get('de677e5818985db1285d0e80225f06e5', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});
```

##### Returns Examples